function prueba
function detector_humo
imagen_video = mmreader('humo_chico.avi');
A=get (imagen_video);
frames=A.NumberOfFrames;

for i=100:frames
    imagencolor=read(imagen_video,100);
    %figure(1),imshow(imagencolor)
    imagencolor2=read(imagen_video,i);
    imagencolor3=read(imagen_video,i-100);

    figure(1),imshow(imagencolor2)

   
    imagen_resta=imagencolor-imagencolor2;
    imagen_resta2=imagencolor2-imagencolor3;
    
    imagen_resta_gray =rgb2gray(imagen_resta);
    level=	graythresh(imagen_resta);

    bw=im2bw(imagen_resta,level);
    level=	graythresh(imagen_resta2);

    bw2=im2bw(imagen_resta2,level);
    
    se = strel('disk',2);        
    erodedBW2 = imerode(bw,se);
    se = strel('disk',2);
   bwok= imdilate(erodedBW,se);
   
   erodedBW2 = imerode(bw2,se);
   
   bwok2= imdilate(erodedBW2,se);
    
        
             [nfilasA, ncolsA]=size(bw2)
             x=ones(3,3);
             for i=1: nfilasA % para cada fila
                for j=1: ncolsA
                   
                    if bwok(i,j)== bwok2(i,j)
                        imshow(bwok)
                        
                
                end
                end
             end
end